Bug 1344348 - [abrt] plasma-systemsettings: xcb_setup_vendor_end(): systemsettings5 killed by SIGSEGV
Summary: [abrt] plasma-systemsettings: xcb_setup_vendor_end(): systemsettings5 killed ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c3123149fb855a4cb7dece58cb2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-09 13:06 UTC by Hebert Silva
Modified: 2016-12-20 20:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:54:27 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (58.99 KB, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details
File: cgroup (200 bytes, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details
File: core_backtrace (18.83 KB, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details
File: dso_list (18.10 KB, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details
File: environ (2.23 KB, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details
File: exploitable (82 bytes, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details
File: maps (86.85 KB, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details
File: mountinfo (3.09 KB, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details
File: namespaces (85 bytes, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details
File: open_fds (1.95 KB, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details
File: var_log_messages (257 bytes, text/plain)
2016-06-09 13:06 UTC, Hebert Silva
no flags Details

Description Hebert Silva 2016-06-09 13:06:13 UTC
Description of problem:
Crashed while changing display settings

Version-Release number of selected component:
plasma-systemsettings-5.6.4-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/systemsettings5
crash_function: xcb_setup_vendor_end
executable:     /usr/bin/systemsettings5
global_pid:     2638
kernel:         4.5.5-201.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xcb_setup_vendor_end at xproto.c:869
 #1 xcb_setup_pixmap_formats at xproto.c:878
 #2 find_format_by_depth at xcb_image.c:46
 #3 xcb_image_native at xcb_image.c:388
 #4 xcb_image_shm_put at xcb_image.c:484
 #5 QXcbShmImage::put(unsigned int, QPoint const&, QRect const&) at qxcbbackingstore.cpp:237
 #6 QXcbBackingStore::flush(QWindow*, QRegion const&, QPoint const&) at qxcbbackingstore.cpp:400
 #7 QBackingStore::flush(QRegion const&, QWindow*, QPoint const&) at painting/qbackingstore.cpp:110
 #8 QWidgetBackingStore::qt_flush(QWidget*, QRegion const&, QBackingStore*, QWidget*, QPoint const&, QPlatformTextureList*, QWidgetBackingStore*) at kernel/qwidgetbackingstore.cpp:120
 #9 QWidgetBackingStore::flush(QWidget*) at kernel/qwidgetbackingstore.cpp:1373

Potential duplicate: bug 1262951

Comment 1 Hebert Silva 2016-06-09 13:06:18 UTC
Created attachment 1166266 [details]
File: backtrace

Comment 2 Hebert Silva 2016-06-09 13:06:19 UTC
Created attachment 1166267 [details]
File: cgroup

Comment 3 Hebert Silva 2016-06-09 13:06:21 UTC
Created attachment 1166268 [details]
File: core_backtrace

Comment 4 Hebert Silva 2016-06-09 13:06:22 UTC
Created attachment 1166269 [details]
File: dso_list

Comment 5 Hebert Silva 2016-06-09 13:06:23 UTC
Created attachment 1166270 [details]
File: environ

Comment 6 Hebert Silva 2016-06-09 13:06:24 UTC
Created attachment 1166271 [details]
File: exploitable

Comment 7 Hebert Silva 2016-06-09 13:06:25 UTC
Created attachment 1166272 [details]
File: limits

Comment 8 Hebert Silva 2016-06-09 13:06:26 UTC
Created attachment 1166273 [details]
File: maps

Comment 9 Hebert Silva 2016-06-09 13:06:27 UTC
Created attachment 1166274 [details]
File: mountinfo

Comment 10 Hebert Silva 2016-06-09 13:06:28 UTC
Created attachment 1166275 [details]
File: namespaces

Comment 11 Hebert Silva 2016-06-09 13:06:29 UTC
Created attachment 1166276 [details]
File: open_fds

Comment 12 Hebert Silva 2016-06-09 13:06:30 UTC
Created attachment 1166277 [details]
File: proc_pid_status

Comment 13 Hebert Silva 2016-06-09 13:06:31 UTC
Created attachment 1166278 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2016-11-25 09:15:37 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2016-12-20 20:54:27 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.